import javax.ejb.*;
import com.sun.ejte.ccl.reporter.SimpleReporterAdapter;

public class TestClient {
  @EJB(beanName="FooBean") static FooRemote foo;
  @EJB(beanName="FooBean2") static FooRemote foo2;
  @EJB(beanName="BarBean") static BarRemote bar;
  @EJB(beanName="BarBean2") static BarRemote bar2;
  private static SimpleReporterAdapter status =
        new SimpleReporterAdapter("appserver-sqe");

  public static void main(String[] args) throws Exception
  {

    String testSuiteID = args[0];
    System.out.println("testSuiteID="+ testSuiteID);
    status.addDescription(" Testing EJB 3.0 Issue 1251 Multiple PUs ");

    try {
      FooEntity fe1 = foo.create();
      FooEntity fe2 = foo2.create();
      bar.remove(fe1);
      bar2.remove(fe2);
      System.out.println("after remove, fe2.id " + fe2.id);
      status.addStatus(testSuiteID+" "+"4PUs", status.PASS);

    } catch (Exception e) {

      System.out.println("Exception Caught: " + e );
      status.addStatus(testSuiteID+" "+"4PUs", status.FAIL);

    }

    status.printSummary(); 
  }
}
